#include <glib.h>
#include "gmyth-stream-client.h"

int main (int argc, char** argv)
{
	GMainLoop *mainloop = NULL;
	GMythStreamClient *cli = NULL;
	gint id = -1;

	g_type_init ();

	mainloop = g_main_loop_new (NULL, FALSE);

	cli = gmyth_stream_client_new ();
	if (!gmyth_stream_client_connect (cli, "localhost", 12345)) {
		g_warning ("Fail to connect");
		return -1;
	}

	id = gmyth_stream_client_open_stream (cli, "/home/rfilho/Media/The.Pursuit.Of.Happyness[2006]DvDrip[Eng]-aXXo/The.Pursuit.Of.Happyness[2006]DvDrip[Eng]-aXXo.avi", 
			"X", "X", 0, 0, "X", 0, 800, 600, 5000, "X");
	if (id < 0) {
		g_printerr ("Fail to open stream");
		return -1;
	}

	g_debug ("Strem created [%d]", id);

	if (!gmyth_stream_client_play_stream (cli, id)) {
		g_printerr ("Fail to play stream");
		return -1;
	}

	g_debug ("started");
	g_main_loop_run (mainloop);
	g_debug ("finished");
	
	return 0;
}
